org.apache.fop.fo

## Class FOTreeBuilderContext

- java.lang.Object
- - org.apache.fop.fo.FOTreeBuilderContext

    public class FOTreeBuilderContext
    extends Object

Context class providing information needed while building the FO tree.

### Field Summary

Fields
`protected PropertyListMaker` `propertyListMaker` The property list maker.
`protected XMLWhiteSpaceHandler` `whiteSpaceHandler` The XMLWhitespaceHandler for this tree

### Constructor Summary

Constructors
Constructor and Description
`FOTreeBuilderContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set` `getIDReferences()` Returns the set of ID references.
`PropertyListMaker` `getPropertyListMaker()` Return the propertyListMaker.
`XMLWhiteSpaceHandler` `getXMLWhiteSpaceHandler()` Return the XMLWhiteSpaceHandler
`protected boolean` `inMarker()` Check whether in marker context
`void` `setPropertyListMaker(PropertyListMaker propertyListMaker)` Set a new propertyListMaker.
`protected void` `switchMarkerContext(boolean inMarker)` Switch to or from marker context (used by FOTreeBuilder when processing a marker)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### propertyListMaker

    protected PropertyListMaker propertyListMaker

The property list maker.

#### whiteSpaceHandler

    protected XMLWhiteSpaceHandler whiteSpaceHandler

The XMLWhitespaceHandler for this tree

### Constructor Detail

#### FOTreeBuilderContext

    public FOTreeBuilderContext()

### Method Detail

#### getIDReferences

    public Set getIDReferences()

Returns the set of ID references.

Returns:
  the ID references

#### getPropertyListMaker

    public PropertyListMaker getPropertyListMaker()

Return the propertyListMaker.

Returns:
  the currently active `PropertyListMaker`

#### setPropertyListMaker

    public void setPropertyListMaker(PropertyListMaker propertyListMaker)

Set a new propertyListMaker.

Parameters:
  `propertyListMaker` - the new `PropertyListMaker` to use

#### getXMLWhiteSpaceHandler

    public XMLWhiteSpaceHandler getXMLWhiteSpaceHandler()

Return the XMLWhiteSpaceHandler

Returns:
  the whiteSpaceHandler

#### switchMarkerContext

    protected void switchMarkerContext(boolean inMarker)

Switch to or from marker context (used by FOTreeBuilder when processing a marker)

Parameters:
  `inMarker` - true if a marker is being processed; false otherwise

#### inMarker

    protected boolean inMarker()

Check whether in marker context

Returns:
  true if a marker is being processed